<?php

namespace Drupal\ai_utilities;

/**
 * Utilities for cleaning up AI output.
 */
interface FormatInterface {

  /**
   * Check if a string is HTML formatted.
   */
  public function isHtml($string);

  /**
   * Convert Markdown to HTML.
   */
  public function markdownToHtml($string);

  /**
   * Remove the prefix and suffix OpenAI tends to add.
   */
  public function trim($message, $prefix, $suffix);

}
